K64F - Component error when creating new project PE and KSDK

cancel
Showing results for 
Search instead for 
Did you mean: 

K64F - Component error when creating new project PE and KSDK

Jump to solution
792 Views
srmvasconcelos
Contributor I

Hi,

 

I'm (very) new to Freescale tools so, excuse me if this is quite a rookie question.

 

I have a FRDM-K64F qnd when I create a new project, selecting both KSDK and Processor expert, Several errors apper:

 

"Error in inherited component settings (HAL)"

"ERROR: Component does not support Kinetis SDK version 1.1.0-GA"

"Generator: ERROR: There are errors in this project, please review components configuration. It is not possible to generate code"

 

This errors appear before anything is added, right after the project creation.

 

 

Thanks in advance.

 

Regards,

Sergio

Labels (1)
0 Kudos
1 Solution
224 Views
adriancano
NXP Employee
NXP Employee

Hi,

When you did the installation of the KSDK software you selected KSDK 1.1.0 Eclipse Update and not a older version?

Please check that this one is installed for you KDS, refer to this thread there is a complete guide Kinetis Design Studio Version: 2.0.0 does not support projects for K02_100 series?

:smileyinfo: Remember posting your questions in a dedicated space, for example Kinetis Design Studio there it will have more visibility.


Hope this information can help you.

Best Regards,
Adrian Sanchez Cano
Technical Support Engineer
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
5 Replies
224 Views
admin
Specialist II

I am experiencing same issue with Processor Expert stand-alone Driver Suite (Version: 10.4.2, Build: b141031) and KSDK 1.1.0. I am trying to build K64F project as well, which I have successfully done with older version of Driver Suite using LDD components. I want to move to KDSK based components.

I get following five errors upon project creation:

ERROR: Component does not support Kinetis SDK version 1.1.0-GA ... fsl_port_hal1    Processor Expert Problem

ERROR: Component does not support Kinetis SDK version 1.1.0-GA.....clockMan1    Processor Expert Problem

Error in the inherited component settings (HAL) ...................................pin_init/HAL    Processor Expert Problem

ERROR: Component does not support Kinetis SDK version 1.1.0-GA.....fsl_sim_hal1    Processor Expert Problem

Error in the inherited component settings (HAL)....................................pin_init/HAL    Processor Expert Problem

What broke in updated Driver Suite and how to resolve this?

Thanks,

-Irwin

0 Kudos
224 Views
adriancano
NXP Employee
NXP Employee

Hi,

It is probably that you need to install an update for Processor Expert environment. In KDS go to Help > Install new Software...

new software ksdk.jpg

For using KSDK you also need to install the software in KDS. Follow the instruction in the Getting Started with Kinetis SDK (KSDK) file in the KSDK documentation. The section 5.2 Install Eclipse update guides you to make the installation.


Hope this information can help you.

Best Regards,
Adrian Sanchez Cano
Technical Support Engineer
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos
224 Views
srmvasconcelos
Contributor I

Hi Adrian,

Thank you for the response.

For the SDSK part, that was my first issue, because first the KSDK checkbox on the new project creation screen was disabled. But when I get these errors, I was past that part already.

So, when I search for processor expert related updates for eclipse, the items below show up.

Capturar.JPG.jpg

I tried installing the one checked on the image, with no success. the error can be seen below.

Capturar2.JPG.jpg

I didn't try to intall the first package of the list, since I'm using K64.

Any clues?

Thank you!

Regards,

Sergio

0 Kudos
225 Views
adriancano
NXP Employee
NXP Employee

Hi,

When you did the installation of the KSDK software you selected KSDK 1.1.0 Eclipse Update and not a older version?

Please check that this one is installed for you KDS, refer to this thread there is a complete guide Kinetis Design Studio Version: 2.0.0 does not support projects for K02_100 series?

:smileyinfo: Remember posting your questions in a dedicated space, for example Kinetis Design Studio there it will have more visibility.


Hope this information can help you.

Best Regards,
Adrian Sanchez Cano
Technical Support Engineer
-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
224 Views
srmvasconcelos
Contributor I

Hello again,

Although I thought I had the right version already, I followed the guide, installing the correct update. Afterwards, I tried again your first sugestion, getting the same error al over again "Processor Expert for KDS" will be ignored because a newer version is already installed. ".

Still the same errors on building the project.

:smileyinfo:Thanks for the tip, I moved the question to the proper space.

Thank you.

Best regards,

Sergio

EDIT: I deleted the original project, created it again with same parameters, after this new installs, hit build and got no errors!

0 Kudos